AnnotationIntrospector (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.annotations

## Class AnnotationIntrospector

- java.lang.Object
- - org.eclipse.jetty.annotations.AnnotationIntrospector

-     public class AnnotationIntrospector
      extends Object

  AnnotationIntrospector

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AnnotationIntrospector.AbstractIntrospectableAnnotationHandler` AbstractIntrospectableAnnotationHandler Base class for handlers that introspect a class to find a particular annotation.
    `static interface` | `AnnotationIntrospector.IntrospectableAnnotationHandler` IntrospectableAnnotationHandler Interface for all handlers that wish to introspect a class to find a particular annotation

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<AnnotationIntrospector.IntrospectableAnnotationHandler>` | `_handlers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationIntrospector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `introspect(Class<?> clazz)`
    `void` | `registerHandler(AnnotationIntrospector.IntrospectableAnnotationHandler handler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _handlers

          protected List<AnnotationIntrospector.IntrospectableAnnotationHandler> _handlers

  - ### Constructor Detail

    - #### AnnotationIntrospector

          public AnnotationIntrospector()

  - ### Method Detail

    - #### registerHandler

          public void registerHandler(AnnotationIntrospector.IntrospectableAnnotationHandler handler)

    - #### introspect

          public void introspect(Class<?> clazz)

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.